Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.chromatogram.graphic
Interface ChromatogramNonlinearScaler

All Known Implementing Classes:
  ChromatogramNonlinearScaler.Identity, FixedBaseWidthScaler

    public interface ChromatogramNonlinearScaler

Provides the mechanism whereby a ChromatogramGraphic can display a Chromatogram with a non-linear horizontal scale.

Since:
  1.3
Author:
  Rhett Sutphin (UI CBCB), Matthew Pocock

Nested Class Summary
`static class` | `ChromatogramNonlinearScaler.Identity` The default scaler that displays the chromatogram 1:1.

Method Summary
`float` | `scale(Chromatogram c, int sampleIndex)` Returns the remapped coordinate for the provided trace sample index of the given chromatogram.

Method Detail

### scale

    float scale(Chromatogram c,
                int sampleIndex)
                throws IndexOutOfBoundsException

  Returns the remapped coordinate for the provided trace sample index of the given chromatogram.

  Parameters:
    `c` - the Chromatogram
    `sampleIndex` - the sample index
  Returns:
    the new coordinagte
  Throws:
    `IndexOutOfBoundsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD